boxplot.formula {base} | R Documentation

## Formula Notation for Box Plots

### Description

Produce box-and-whisker plot(s) of the given (grouped) values using formula notation.

### Usage

    boxplot(formula, data = NULL, ..., subset)

### Arguments

`formula` | a formula, such as `y ~ x`.
`data` | a data.frame (or list) from which the variables in `formula` should be taken.
`...` | arguments to the default boxplot method and graphical parameters may also be passed as arguments, see `par`.
`subset` | an optional vector specifying a subset of observations to be used for plotting.

### Details

This is a method of the generic function `boxplot`. It operates by setting up the data from the formula specification, and then calling `boxplot.default`.

### See Also

`boxplot.default`

### Examples

    data(OrchardSprays)
    boxplot(decrease ~ treatment, data = OrchardSprays,
            log = "y", col="bisque")

[Package Contents]